/*

*/
package pipeline;
import scene.*;

/**
   Transform line segments from model coordinates to world coordinates.

   For each Vertex object in each LineSgement object, use the Model's
   model matrix to transform the Vertex object's coordinate from the
   model's coordinate system to the world coordinate system.
*/
public class Model2World
{
   /**
      For each line segment, transform each vertex from
      model coordinates to world coordinates.
   */
   public static void model2world(LineSegment ls, Matrix modelMatrix)
   {
      // Mutate each Vertex object so that it contains
      // the world coordinates.
      ls.v[0].times(modelMatrix);
      ls.v[1].times(modelMatrix);
   }
}
