/*

*/
package pipeline;
import scene.*;

/**
   Transform line segments from world coordinates to view (camera) coordinates.

   For each Vertex object in each LineSgement object, use the Camera's
   view matrix to transform the Vertex object's coordinates from the
   world coordinate system to the camera's view coordinate system.
*/
public class World2View
{
   /**
      For each line segment, transform each vertex from
      world coordinates to view coordinates.
   */
   public static void world2view(LineSegment ls, Matrix viewMatrix)
   {
      // Mutate each Vertex object so that it contains
      // the view coordinates.
      ls.v[0].times(viewMatrix);
      ls.v[1].times(viewMatrix);
   }
}
